bitel.billing.server.phone.oper.bean

## Class Report

- java.lang.Object
- - bitel.billing.server.phone.oper.bean.Report

-     public abstract class Report
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map<java.lang.String,net.sf.jasperreports.engine.JasperReport>` | `cache`
    `protected static org.apache.log4j.Logger` | `log`
    `protected java.util.Date` | `month`
    `protected Operator` | `oper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Report(Operator operator, java.util.Date month, int id)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `getData(java.sql.Connection con, java.io.OutputStream out)`
    `abstract java.lang.String` | `getFileName()`
    `int` | `getId()`
    `protected net.sf.jasperreports.engine.JasperReport` | `getJasperReport(java.lang.String templatePath)`
    `abstract java.lang.String` | `getTitle()`
    `abstract int` | `getType()`
    `protected void` | `sendJasperReport(java.sql.Connection con, java.lang.String templatePath, java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.apache.log4j.Logger log

    - #### oper

          protected Operator oper

    - #### month

          protected java.util.Date month

    - #### cache

          protected static java.util.Map<java.lang.String,net.sf.jasperreports.engine.JasperReport> cache

  - ### Constructor Detail

    - #### Report

          public Report(Operator operator,
                        java.util.Date month,
                        int id)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getTitle

          public abstract java.lang.String getTitle()

    - #### getFileName

          public abstract java.lang.String getFileName()

    - #### getType

          public abstract int getType()

    - #### getData

          public abstract void getData(java.sql.Connection con,
                                       java.io.OutputStream out)

    - #### getJasperReport

          protected net.sf.jasperreports.engine.JasperReport getJasperReport(java.lang.String templatePath)
                                                                      throws net.sf.jasperreports.engine.JRException

      Throws:
        `net.sf.jasperreports.engine.JRException`

    - #### sendJasperReport

          protected void sendJasperReport(java.sql.Connection con,
                                          java.lang.String templatePath,
                                          java.io.OutputStream out)